Subject: Re: git merge --no-ff failure

From: Nikolay Shustov <[email-masked]>
Date: Fri, 26 Sep 2025 10:03:30 -0400

Hi Johannes,
Yes I can reproduce it, stable.

I do not have any file changes to stash, so "git stash create" doesn't 
error out.
No merges or anything else in progress, it was just purely the steps I 
described in the initial report.

Now thinking about it, the only quirk I that I did not mention was:
Our p4 depot, unfortunately, has some files which names end with dot 
(.). E.g. "/somehing/blah."
Naturally, (a known thing) git p4 on Windows created "/somehing/blah" 
for it and then showed  "/something/blah." removed and "/somehing/blah" 
as untracked. I renamed "/somehing/blah" to "/somehing/blah." manually 
to calm down its double personality :-)
(BTW, I think git on Windows could be doing a better job about such files)

But the other git p4 repo I created from another p4 depot, where merge 
--no-ff works fine, does not have such files.
This is the only thing I could think about may be a bit... unusual.

I can try to experiment with that if you think this could be relevant.

Thanks,
- Nikolay

On 9/26/25 05:55, Johannes Schindelin wrote:
> Hi Nikolay,
>
> On Thu, 25 Sep 2025, Nikolay Shustov wrote:
>
>> Git is reporting error while I am trying to run "git merge --no-ff <my
>> branch>":
>>
>> fatal: stash failed.
> That is indeed a bit terse on Git's side. Can you still reproduce? If so,
> can you run the `git stash create` command on its own, maybe there is a
> more helpful error message there?
>
> Thanks,
> Johannes